View Single Post
Lt. Commander
Join Date: Dec 2007
Posts: 120
# 31
01-21-2010, 04:08 AM
Quote:
Originally Posted by Squiggs
Have the same problem myself, installed the lastest drivers (geforce fx5500 256mb) and get the same error message. I hope I fair better with the retail game I have on order. Trying to enjoy the Beta is a loss cause.
Your video card is below min requirements as well (Video: NVIDIA GeForce 7950 / ATI Radeon X1800 / Intel HD Graphics ). The Beta game program and the retail game program are almost the same (definitely the engine will be). What I mean is that if you cannot run the beta client, you probably won't be able to run the retail one.

If your other hardware meets the minimum requirements, you might be able to upgrade your video card, as was suggested in this thread.

Duey